<navbar></navbar>
<section class="container">
  <h3 class="title">Task 1: Default and OnPush Difference</h3>
  <div class="task-buttons">
    <button class="btn btn-blue" (click)="changeText()">ChangeText</button>
    <button class="btn btn-blue" (click)="pushIntoArray()">
      Push Into Array
    </button>
    <button class="btn btn-blue" (click)="pushIntoArrayViaReference()">
      Push into Array Via Reference
    </button>
  </div>
  <div class="task-section">
    <t1-default [text]="text" [arr]="arr"></t1-default>
    <t1-on-push [text]="text" [arr]="arr"></t1-on-push>
  </div>
</section>
<section class="container">
  <h3 class="title mt-2">
    Task 2: OnPush strategy with Observable, aync pipe and Interval()
  </h3>
  <div class="task-buttons">
    <button class="btn btn-blue" (click)="callNext()">
      Call next in observable
    </button>
  </div>
  <div class="task-section">
    <t2-default></t2-default>
    <t2-on-push></t2-on-push>
  </div>
</section>
